cascading.util

## Class LazyIterable<V,T>

- java.lang.Object
- - cascading.util.LazyIterable<V,T>

- All Implemented Interfaces:
    java.lang.Iterable<T>

      public abstract class LazyIterable<V,T>
      extends java.lang.Object
      implements java.lang.Iterable<T>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyIterable(boolean enableCache, java.lang.Iterable<V> iterable)`
    `LazyIterable(boolean enableCache, V... values)`
    `LazyIterable(java.lang.Iterable<V> iterable)`
    `LazyIterable(V... values)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract T` | `convert(V next)`
    `java.util.Iterator<T>` | `iterator()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LazyIterable

          public LazyIterable(V... values)

    - #### LazyIterable

          public LazyIterable(boolean enableCache,
                      V... values)

    - #### LazyIterable

          public LazyIterable(java.lang.Iterable<V> iterable)

    - #### LazyIterable

          public LazyIterable(boolean enableCache,
                      java.lang.Iterable<V> iterable)

  - ### Method Detail

    - #### iterator

          public java.util.Iterator<T> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<T>`

    - #### convert

          protected abstract T convert(V next)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.